import { createRouter, createWebHashHistory } from 'vue-router'

const About = { template: '<div>About</div>' }

/**创建路由器 */
const router = createRouter({
    history: createWebHashHistory(),
    routes: [
        {
            path: '/',
            name: 'Home',
            redirect: '/CRUD'
            // component: () => import('./views/Home.vue')
        },
        {
            path: '/CRUD/:data?',
            name: 'CRUD',
            component: () => import('./views/CRUD.vue')
        },
        {
            path: '/About',
            name: 'About',
            component: About
        }
    ]
})
export default router
